certs.h File Reference

Sample certificates and DHM parameters for testing. More...

`#include <stddef.h>`
Include dependency graph for certs.h:

Go to the source code of this file.

## Variables

const char * | mbedtls_test_cas []
const size_t | mbedtls_test_cas_len []
const char * | mbedtls_test_ca_crt
const size_t | mbedtls_test_ca_crt_len
const char * | mbedtls_test_ca_key
const size_t | mbedtls_test_ca_key_len
const char * | mbedtls_test_ca_pwd
const size_t | mbedtls_test_ca_pwd_len
const char * | mbedtls_test_srv_crt
const size_t | mbedtls_test_srv_crt_len
const char * | mbedtls_test_srv_key
const size_t | mbedtls_test_srv_key_len
const char * | mbedtls_test_cli_crt
const size_t | mbedtls_test_cli_crt_len
const char * | mbedtls_test_cli_key
const size_t | mbedtls_test_cli_key_len

## Detailed Description

Sample certificates and DHM parameters for testing.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file certs.h.

## Variable Documentation

const char* mbedtls_test_ca_crt

const size_t mbedtls_test_ca_crt_len

const char* mbedtls_test_ca_key

const size_t mbedtls_test_ca_key_len

const char* mbedtls_test_ca_pwd

const size_t mbedtls_test_ca_pwd_len

const char* mbedtls_test_cas[]

const size_t mbedtls_test_cas_len[]

const char* mbedtls_test_cli_crt

const size_t mbedtls_test_cli_crt_len

const char* mbedtls_test_cli_key

const size_t mbedtls_test_cli_key_len

const char* mbedtls_test_srv_crt

const size_t mbedtls_test_srv_crt_len

const char* mbedtls_test_srv_key

const size_t mbedtls_test_srv_key_len